#! /usr/bin/perl -pi.orig
#
#  Usage:   update.pl  FILE [...]
#
#  Purpose: Change symbol names in FILE [...] to match the ones in the new
#           version of cp40pkg.  Each input file is saved (unmodified) as
#           FILE.orig before translation.
#

s/\bgpl_/cp40_/g;
s/\b_gpl_/_cp40_/g;
s/\bGPL_/CP40_/g;
s/\b_GPL_/_CP40_/g;

s/\bgpl_alloc\b/malloc/g;
s/\bgpl_free\b/free/g;

s/\bcp40_alloc\b/cp40_mem_alloc/g;
s/\bcp40_free\b/cp40_mem_free/g;

s/\bCP40_BEGIN_DECLS\b/_CP40_BEGIN_DECLS/g;
s/\bCP40_END_DECLS\b/_CP40_END_DECLS/g;

s/\bCP40_MEM_FREE\b/CP40_FREE_MAYBE/g;

s/\bGPLib\b/CP40/g;
s/[ \t]+$//g;

s/\bcp40pkg\b/CP40pkg/gi;
